
QGIS Application - Bug report #12397

Qgis crashes when closing the program when project has just a simple empty group

2015-03-18 06:16 AM - zimirrr leonid

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Map Legend

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 20571

Description

Open qgis

Create group with no layers (see pic)

Close qgis

History

#1 - 2015-03-18 07:39 AM - Giovanni Manghi

- Category set to Map Legend

- OS version deleted (7)

- Operating System deleted (window)

- Target version set to Version 2.8.2

- Priority changed from Normal to Severe/Regression

- Affected QGIS version changed from 2.6.0 to master

confirmed also on Linux (seg fault).

#2 - 2015-03-18 07:40 AM - Giovanni Manghi

- Subject changed from Qgis crashes to Qgis crashes when closing the program when project has just a simple empty group

#3 - 2015-03-23 02:19 AM - Sandro Santilli

2.6.1 is also affected. Backtrace:

(gdb) bt

#0  0x00007ffff2be5e07 in QMetaObject::cast(QObject*) const () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

#1  0x00007ffff40163b5 in qobject_cast<QgsLayerTreeModelLegendNode*> (object=0x3de91a0) at /usr/include/qt4/QtCore/qobject.h:380

#2  0x00007ffff400fe14 in QgsLayerTreeModel::index2legendNode (index=...) at

/usr/src/qgis/qgis-2.6/src/core/layertree/qgslayertreemodel.cpp:68

#3  0x00007ffff4011a0e in QgsLayerTreeModel::setData (this=0x147eeb0, index=..., value=..., role=2)

    at /usr/src/qgis/qgis-2.6/src/core/layertree/qgslayertreemodel.cpp:348

#4  0x00007ffff250ddd3 in QStyledItemDelegate::setModelData(QWidget*, QAbstractItemModel*, QModelIndex const&) const ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#5  0x00007ffff246fe4e in QAbstractItemView::commitData(QWidget*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#6  0x00007ffff2bf387a in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

#7  0x00007ffff25ce13f in QAbstractItemDelegate::commitData(QWidget*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#8  0x00007ffff250d97a in QStyledItemDelegate::eventFilter(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#9  0x00007ffff2bdf646 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) ()

2025-05-17 1/2



   from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

#10 0x00007ffff1f78e0c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#11 0x00007ffff1f7f4a0 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#12 0x00007ffff402578d in QgsApplication::notify (this=0x7fffffffd5b0, receiver=0x3def7d0, event=0x7fffffffca10)

    at /usr/src/qgis/qgis-2.6/src/core/qgsapplication.cpp:243

#13 0x00007ffff2bdf4dd in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

#14 0x00007ffff1f7d542 in QApplicationPrivate::setFocusWidget(QWidget*, Qt::FocusReason) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#15 0x00007ffff1f7ddc4 in QApplication::setActiveWindow(QWidget*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#16 0x00007ffff1fb5557 in QWidgetPrivate::deactivateWidgetCleanup() () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#17 0x00007ffff200aa97 in QWidgetPrivate::hide_sys() () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#18 0x00007ffff1fc45f4 in QWidgetPrivate::hide_helper() () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#19 0x00007ffff1fc7898 in QWidget::setVisible(bool) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#20 0x00007ffff1fc4914 in QWidgetPrivate::close_helper(QWidgetPrivate::CloseMode) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#21 0x00007ffff1fc4eee in QWidget::~QWidget() () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#22 0x000000000057f5a2 in QgisApp::~QgisApp (this=0x11f29f0, __in_chrg=<optimized out>) at /usr/src/qgis/qgis-2.6/src/app/qgisapp.cpp:879

#23 0x000000000057f6b6 in QgisApp::~QgisApp (this=0x11f29f0, __in_chrg=<optimized out>) at /usr/src/qgis/qgis-2.6/src/app/qgisapp.cpp:949

#24 0x0000000000576e8a in main (argc=1, argv=0x7fffffffd8c8) at /usr/src/qgis/qgis-2.6/src/app/main.cpp:1018

#4 - 2015-05-10 01:30 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to fixed/implemented

seems fixed on qgis master, please reopen if necessary.
